<template>
  <div>
    <v-row class="ma-0">
      <v-col cols="3" class="d-inline-block">
        <v-text-field
          label="Tên"
          outlined
          dense
          v-model="name"
          @keydown.enter="onSearch"
        ></v-text-field>
      </v-col>
      <v-col cols="3" class="d-inline-block">
        <v-text-field
          label="Email"
          outlined
          dense
          v-model="email"
          @keydown.enter="onSearch"
        ></v-text-field>
      </v-col>
      <v-col cols="3" class="d-inline-block">
        <v-select
          :items="groupRoleItems"
          label="Nhóm"
          dense
          outlined
          v-model="groupRole"
        ></v-select>
      </v-col>
      <v-col cols="3" class="d-inline-block">
        <v-select
          :items="statusItems"
          label="Trạng thái"
          dense
          outlined
          v-model="isActive"
        ></v-select>
      </v-col>
    </v-row>
    <v-row class="ma-0">
      <v-col cols="12">
        <div class="d-inline-block">
          <v-btn color="primary" tile @click="onAdd">
            <v-icon>mdi-account-plus</v-icon>
            Thêm Mới
          </v-btn>
        </div>
        <div class="d-inline-block float-right">
          <v-btn color="primary" tile @click="onSearch">
            <v-icon>mdi-magnify</v-icon>
            Tìm Kiếm
          </v-btn>
          <v-btn
            color="green lighten-2 white--text"
            tile
            @click="onClearSearch"
          >
            <v-icon>mdi-close</v-icon>
            Xóa Tìm
          </v-btn>
        </div>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  props: {
    params: {
      type: Object,
      required: true,
      default: {},
    },
  },
  data() {
    return {
      groupRoleItems: ["Admin", "Reviewer", "Editor"],
      statusItems: [
        {
          text: "Không hoạt động",
          value: 0,
        },
        {
          text: "Hoạt động",
          value: 1,
        },
      ],
    };
  },
  computed: {
    name: {
      get() {
        return this.params.name;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "name",
          value,
        });
      },
    },
    email: {
      get() {
        return this.params.email;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "email",
          value,
        });
      },
    },
    groupRole: {
      get() {
        return this.params.groupRole;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "groupRole",
          value,
        });
      },
    },
    isActive: {
      get() {
        return this.params.isActive;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "isActive",
          value,
        });
      },
    },
  },
  methods: {
    onSearch() {
      this.$emit("onSearch");
    },
    onClearSearch() {
      this.$emit("onClearSearch");
    },
    onAdd() {
      this.$emit("onAdd");
    },
  },
};
</script>
<style scoped></style>
